<template>
	<div class="layout-navbars-breadcrumb-user-news">
		<div class="head-box">
			<div class="head-box-title">{{ $t('message.user.newTitle') }}</div>
			<!-- <div class="head-box-btn" v-if="state.monitorInfo.length > 0" @click="onAllReadClick">{{ $t('message.user.newBtn') }}</div> -->
		</div>
		<div class="content-box">
			<template v-if="monitorInfo.List != null && monitorInfo.Total > 0">
				<div class="content-box-item" v-for="(alarm_item, k) in monitorInfo.List" :key="k">
					<div class="flex justify-between cursor-pointer">
						<div>{{ alarm_item.BelongName }}: [{{ alarm_item.GroupName }}-{{ alarm_item.Name }}]</div>
						<!-- <el-button type="primary" link size="small" @click="handleClick(alarm_item)"> 处理</el-button> -->
					</div>

					<div class="content-box-msg">
						<span
							>于{{ alarm_item.DataTime }}达到{{ alarm_item.DataValue }},阈值为{{ alarm_item.AlarmName
							}}{{ alarm_item.ThresholdValue }}</span
						>
						<span :style="{ color: alarm_item.AlarmLevelColor }"> [{{ alarm_item.AlarmLevelName }}]</span>
					</div>
					<div class="content-box-time">{{ alarm_item.AlarmTime }}</div>
				</div>
			</template>
			<el-empty :description="$t('message.user.newDesc')" v-else></el-empty>
		</div>
	</div>
</template>

<script setup lang="ts" name="layoutBreadcrumbUserNews">
import { ElMessage, ElMessageBox } from 'element-plus';
import { onMounted } from 'vue';
import { UpdateAlarmStatus } from '/@/api/monitor/alarmRecord';
const props = defineProps({
	monitorInfo: Object,
	default: () => {
		return {
			List: [],
			Total: 0,
		};
	},
});


// 页面加载时
onMounted(async () => {});
// 前往通知中心点击
const onGoToGiteeClick = () => {
	// window.open('https://gitee.com/lyt-top/vue-next-admin');
};
</script>

<style scoped lang="scss">
.layout-navbars-breadcrumb-user-news {
	.head-box {
		display: flex;
		border-bottom: 1px solid var(--el-border-color-lighter);
		box-sizing: border-box;
		color: var(--el-text-color-primary);
		justify-content: space-between;
		height: 35px;
		align-items: center;
		.head-box-btn {
			color: var(--el-color-primary);
			font-size: 13px;
			cursor: pointer;
			opacity: 0.8;
			&:hover {
				opacity: 1;
			}
		}
	}
	.content-box {
		font-size: 13px;
		.content-box-item {
			padding-top: 12px;
			&:last-of-type {
				padding-bottom: 12px;
			}
			.content-box-msg {
				span {
					color: var(--el-text-color-secondary);
					margin-top: 5px;
					margin-bottom: 5px;
				}
			}
			.content-box-time {
				color: var(--el-color-primary);
			}
		}
	}
	.foot-box {
		height: 35px;
		color: var(--el-color-primary);
		font-size: 13px;
		cursor: pointer;
		opacity: 0.8;
		display: flex;
		align-items: center;
		justify-content: center;
		border-top: 1px solid var(--el-border-color-lighter);
		&:hover {
			opacity: 1;
		}
	}
	:deep(.el-empty__description p) {
		font-size: 13px;
	}
}
</style>
